#include<iostream>
using namespace std;
int n,n1[2000000];

int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>n1[i];
}
  if(n==2){swap(n1[1],n1[2]);}
for(int i=1;i<=n;i++){
     cout<<n1[i]<<" ";
}







return 0;
}